# Verify Push-to-Card Eligibility

Determine Push To Card eligibility for Push To Card customers.

Additionally, the cardholder's name is verified with the issuing bank, and the result is shown in name_verification_results. This applies to Visa and Mastercard.

## Endpoint: 
POST /payment_instruments/{payment_instrument_id_verify}/verifications  
**Security:** BasicAuth

## Path parameters:

- `payment_instrument_id_verify` (string, required)  
  The ID of the Payment Instrument you wish to verify.  
  Example: "PIhWqjo3DU13WmFzWZFLngfa"

## Request fields (application/json):

- `processor` (string, required)  
  The acquiring processor. Use DUMMY_V1 to use your sandbox. For more details on which processor to use, reach out to your Finix point of contact or email [Finix Support](/guides/getting-started/support-at-finix/).  
  Enum: "DUMMY_V1", "FINIX_V1"

## Response 200 fields (application/json):

- `id` (string)  
  The ID of the resource.

- `created_at` (string)  
  Timestamp of when the object was created.

- `updated_at` (string)  
  Timestamp of when the object was last updated.

- `application` (string)  
  ID of the Application the resource was created under.

- `identity` (string,null)  
  This field is not applicable to payment instrument verification.

- `merchant` (string,null)  
  This field is not applicable to payment instrument verification.

- `merchant_identity` (string,null)  
  This field is not applicable to payment instrument verification.

- `messages` (array)  
  A codified list of reasons the verification request failed.

- `outcome_summary` (string,null)  
  A message providing additional context about why the verification request failed.

- `outcomes` (array,null)  
  A codified list of reasons the verification request failed.

- `payment_instrument` (string)  
  The Payment Instrument sent for verification.

- `payment_instrument_verification_details` (object)  
  The payment instruction verification results.

- `payment_instrument_verification_details.pull_from_card_cross_border` (string,null)  
  Indicates whether the Payment Instrument supports pull-from-card, cross-border.  For more details, see [Push to Card](/guides/payouts/card-payouts)  
  Enum: "FAST_FUNDS", "NON_FAST_FUNDS", "NOT_SUPPORTED", "UNKNOWN"

- `payment_instrument_verification_details.pull_from_card_domestic` (string,null)  
  Indicates whether the Payment Instrument supports pull-from-card, domestically.  For more details, see [Push to Card](/guides/payouts/card-payouts)  
  Enum: "FAST_FUNDS", "NON_FAST_FUNDS", "NOT_SUPPORTED", "UNKNOWN"

- `payment_instrument_verification_details.push_to_card_domestic` (string,null)  
  Indicates whether the Payment Instrument supports push-to-card, domestically. For more details, see [Push to Card](/guides/payouts/card-payouts).
  Enum: "FAST_FUNDS", "NON_FAST_FUNDS", "NOT_SUPPORTED", "UNKNOWN"

- `payment_instrument_verification_details.push_to_card_cross_border` (string,null)  
  Indicates whether the Payment Instrument supports push-to-card, cross-border. For more details, see [Push to Card](/guides/payouts/card-payouts).
  Enum: "FAST_FUNDS", "NON_FAST_FUNDS", "NOT_SUPPORTED", "UNKNOWN"

- `payment_instrument_verification_details.card_type` (string,null)  
  A code that indicates whether the card is credit, debit, or prepaid.  
  Enum: "CREDIT", "DEBIT", "HSA_FSA", "RELOADABLE_PREPAID", "UNRELOADABLE_PREPAID", "UNKNOWN"

- `payment_instrument_verification_details.billing_currency` (string,null)  
  The currency in which the payment instrument's holder is billed or charged.

- `payment_instrument_verification_details.issuer_country` (string,null)  
  The country where the entity (bank or financial institution) that issued the payment instrument (e.g., credit card, debit card) is located.
  - NON_USA - The card was issued outside of the United States.
  - USA - The card was issued in the United States.
  - UNKNOWN - The processor did not return an issuer country for this particular BIN.  
  Enum: "NON_USA", "USA", "UNKNOWN"

- `payment_instrument_verification_details.name_verification_results` (object,null)  
  Details the results of verifying the cardholder's name with the issuing bank. Only returned for PAYMENT_CARD type verifications on FINIX_V1 and VISA_V1 processors.

- `payment_instrument_verification_details.name_verification_results.first_name_verification` (string)  
  The result of verifying the cardholder's first name.  
  Enum: "MATCH", "NO_MATCH", "NOT_SUPPORTED", "PARTIAL_MATCH", "UNKNOWN"

- `payment_instrument_verification_details.name_verification_results.last_name_verification` (string)  
  The result of verifying the cardholder's last name.  
  Enum: "MATCH", "NO_MATCH", "NOT_SUPPORTED", "PARTIAL_MATCH", "UNKNOWN"

- `payment_instrument_verification_details.name_verification_results.middle_name_verification` (string)  
  The result of verifying the cardholder's middle name.  
  Enum: "MATCH", "NO_MATCH", "NOT_SUPPORTED", "PARTIAL_MATCH", "UNKNOWN"

- `payment_instrument_verification_details.name_verification_results.name_verification` (string)  
  The result of verifying the cardholder's full name.  
  Enum: "MATCH", "NO_MATCH", "NOT_SUPPORTED", "PARTIAL_MATCH", "UNKNOWN"

- `processor` (string)  
  Name of the verification processor.  
  Enum: "FINIX_V1", "DUMMY_V1"

- `raw` (any)  
  Raw response from the processor.

- `state` (string)  
  The state of the payment instrument verification request.  
  Enum: "PENDING", "FAILED", "SUCCEEDED"

- `tags` (object,null)  
  Include up to 50 key: value pairs to annotate requests with custom metadata.  
  - Maximum character length for individual keys is 40.
  - Maximum character length for individual values is 500.  
  (For example, order_number: 25, item_type: produce, department: sales)

- `trace_id` (string)  
  An ID used for tracking the verification request.

- `type` (string)  
  Details the type of resource getting verified.  
  Enum: "PAYMENT_INSTRUMENT"

- `_links` (object)  
  For your convenience, every response includes several URLs which link to resources relevant to the request. You can use these _links to make your follow-up requests and quickly access relevant IDs.

- `_links.self` (object)  
  Link to the Verification.

- `_links.self.href` (string)

- `_links.application` (object)  
  Link to the Application associated with this resource.

- `_links.application.href` (string)

- `_links.payment_instrument` (object)  
  Link to the Payment Instrument sent for verification.

- `_links.payment_instrument.href` (string)

## Response 400 fields (application/json):

- `total` (integer, required)  
  Total number of errors returned.

- `_embedded` (object, required)  
  Container for embedded error objects.

- `_embedded.errors` (array)  
  List of individual error objects.

- `_embedded.errors.code` (string)  
  The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

- `_embedded.errors.logref` (string)  
  A log reference identifier for the error, useful for debugging and support purposes.

- `_embedded.errors.message` (string)  
  A human-friendly error message.

- `_embedded.errors._links` (object)  
  Links related to this error.

- `_embedded.errors._links.self` (object)  
  Link to the resource related to the error.

- `_embedded.errors._links.self.href` (string)  
  URL of the related resource.

## Response 401 fields (application/json):

- `total` (integer, required)  
  Total number of errors returned.

- `_embedded` (object, required)  
  Container for embedded error objects.

- `_embedded.errors` (array)  
  List of individual error objects.

- `_embedded.errors.code` (string)  
  The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

- `_embedded.errors.logref` (string)  
  A log reference identifier for the error, useful for debugging and support purposes.

- `_embedded.errors.message` (string)  
  A human-friendly error message.

- `_embedded.errors._links` (object)  
  Links related to this error.

- `_embedded.errors._links.self` (object)  
  Link to the resource related to the error.

- `_embedded.errors._links.self.href` (string)  
  URL of the related resource.

## Response 403 fields (application/json):

- `total` (integer, required)  
  Total number of errors returned.

- `_embedded` (object, required)  
  Container for embedded error objects.

- `_embedded.errors` (array)  
  List of individual error objects.

- `_embedded.errors.code` (string)  
  The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

- `_embedded.errors.logref` (string)  
  A log reference identifier for the error, useful for debugging and support purposes.

- `_embedded.errors.message` (string)  
  A human-friendly error message.

- `_embedded.errors._links` (object)  
  Links related to this error.

- `_embedded.errors._links.self` (object)  
  Link to the resource related to the error.

- `_embedded.errors._links.self.href` (string)  
  URL of the related resource.

## Response 404 fields (application/json):

- `total` (integer, required)  
  Total number of errors returned.

- `_embedded` (object, required)  
  Container for embedded error objects.

- `_embedded.errors` (array)  
  List of individual error objects.

- `_embedded.errors.code` (string)  
  The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

- `_embedded.errors.logref` (string)  
  A log reference identifier for the error, useful for debugging and support purposes.

- `_embedded.errors.message` (string)  
  A human-friendly error message.

- `_embedded.errors._links` (object)  
  Links related to this error.

- `_embedded.errors._links.self` (object)  
  Link to the resource related to the error.

- `_embedded.errors._links.self.href` (string)  
  URL of the related resource.

## Response 406 fields (application/json):

- `total` (integer, required)  
  Total number of errors returned.

- `_embedded` (object, required)  
  Container for embedded error objects.

- `_embedded.errors` (array)  
  List of individual error objects.

- `_embedded.errors.code` (string)  
  The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

- `_embedded.errors.logref` (string)  
  A log reference identifier for the error, useful for debugging and support purposes.

- `_embedded.errors.message` (string)  
  A human-friendly error message.

- `_embedded.errors._links` (object)  
  Links related to this error.

- `_embedded.errors._links.self` (object)  
  Link to the resource related to the error.

- `_embedded.errors._links.self.href` (string)  
  URL of the related resource.
